# Vaults

The daily farming yields in vaults automatically get bonded. Farmers earn more yields in ALD through the bonding process and can have this income auto compounded in the Staking Pool as well. This will significantly improve farmers’ APY and capital efficiency. The vaults are all quality strategies selected by the Boule Council.

The number of ALD bond obtained by farmers every day is calculated as follows:

Harvest once per epoch (6400 blocks), and automatically bond the farming yields minerProfit into ALD according to the ratio to be bonded expressed as $$BondPercent\_{vault}$$. The ratio is 100% for now, the number of ALD that farmer i can get in each epoch is:

$$minerBondald\_i= aldSupply((1+\cfrac{minerProfit\_i\*BondPercent\_{vault}}{Reserve\_{bond}})^{LR}-1)\*Discount\_{asset}$$

$$minerProfit\_i$$ is farmer i’s total farming yield in the epoch. For example, farmer i gets 100 CRV and 50 LDO (CRV = $4 & LDO = $5) from staking stETH in the Convex vault for the epoch, then total farming yield is = $4*100 + $5*50= $650.

At the end of the epoch, the amount of ALD that farmer will receive is $$minerBondald\_i$$, and is auto staked into the staking pool for compounding interests. When $$BondPercent\_{vault}$$<100%, $$minerProfit\_i\*(1-BondPercent\_{vault})$$ is no longer entering the Bond Pool, but pays back to farmers.

![](/files/rCDb8O98Of8mzTgOJ67n)

Bonding profit will be transferred to the Treasury and POL Pool in proportion. For example, $$profitPOLPercent\_{cry}=50%$$, which means 50% of bonding profit will be stored in POL, which can be used to purchase ALD from the secondary market.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.aladdin.club/aladdin-dao-v2-overview/vaults.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
